<?php
    /**
    *
    * copyright (c) 2013-2021 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/index.php?alias=linee-guida-per-luso-del-logo-geecom
    *
    * Classe che restituisce i link di contenuti in Geecom Admin
    */

    class GeneratoreUrl {
	public static function creaUrlContenuto($pagina,$ottimizzazioneSeo,$indirizzoSito) {
            if($ottimizzazioneSeo=="si") {
                $link = $indirizzoSito."/{$pagina["alias"]}";
            }
            else {
                $link = $indirizzoSito."/index.php?alias={$pagina["alias"]}";
            }
            return $link;
	}

	public static function creaUrlCategoria($categoria,$ottimizzazioneSeo,$indirizzoSito) {
            if($ottimizzazioneSeo=="si") {
                $link = $indirizzoSito."/categoria-{$categoria["alias"]}";
            }
            else {
                $link = $indirizzoSito."/cerca.php?tipoRicerca=categoria&chiaveRicerca={$categoria["alias"]}";
            }
            return $link;
	}
        
        public static function creaUrlRisorsa($impostazioni,$risorsa) {
            return $impostazioni["urlSito"]."/scaricaFile.php?id=".$risorsa["id"];
	}
        
        public static function creaUrlProdotto($pagina,$ottimizzazioneSeo,$indirizzoSito) {
            if($ottimizzazioneSeo=="si") {
                $link = $indirizzoSito."/prod-{$pagina["alias"]}";
            }
            else {
                $link = $indirizzoSito."/prodotto.php?alias={$pagina["alias"]}";
            }
            return $link;
	}
        
	public static function creaUrlAreaAmministrativa($impostazioni,$datiProdotto) {
            
            if(count($impostazioni)==0) {
                return "";
            }
            else if($datiProdotto["nome"]=="CMS") {
                return $impostazioni["urlSito"]."/".$datiProdotto["percorso"];
            }
            else {
                return $impostazioni["urlPiattaforma"]."/".$datiProdotto["percorso"];                
            }
	}
    }